#!/bin/sh
# http://opencore-amr.sourceforge.net
#
# git://opencore-amr.git.sourceforge.net/gitroot/opencore-amr
#
# script by: til <rob DOT til DOT freedman AT googlemail DOT com>
REPO="http://zenwalk.pinguix.com/user-accounts/tilderb/extra/l/opencore-amr"
set -e -u -x

# opencore-amr
version=0.1.2
build=66.1

arch=${arch:-i486}
tune=i686
#tune=${tune:-pentium-m}

pkgname=opencore-amr-$version
package=$pkgname-$arch-$build

PKG_SRC="http://dfn.dl.sourceforge.net/project/opencore-amr/opencore-amr/$version/opencore-amr-$version.tar.gz
$REPO/build-opencore-amr.sh"

CWD=`pwd`
TMP=${TMP:-$CWD/tmp}

PKG=$TMP/$package
SRC=$TMP/$pkgname

[ -d $SRC ] && rm -fr $SRC
[ -d $PKG ] && rm -fr $PKG

# prepare build directory
mkdir -p ${PKG}/{install,usr/{src,doc}/$pkgname}

tar xf $CWD/opencore-amr-$version.tar.gz -C $TMP || exit 1
cd $SRC
./configure --help >$CWD/configure-help

CFLAGS="-O2 -march=$arch -mtune=$tune " \
CXXFLAGS="-O2 -march=$arch -mtune=$tune " \
./configure \
	--prefix=/usr \
	--enable-shared \
	--enable-static \
	--with-gnu-ld

make || exit 1
make install DESTDIR=$PKG

# do some test
pushd test; make || exit 1
popd

# helperline
(cd $PKG;find . -printf "%y %M %u:%g %p %l\n") >$CWD/make.installed

# docs
cp -a AUTHORS COPYING ChangeLog LICENSE README NEWS \
	$PKG/usr/doc/$pkgname

cd $PKG
# slack description
#           |-----handy-ruler------------------------------------------------------|
cat <<EOF > install/slack-desc
opencore-amr: opencore-amr (3G Adaptive Multi-Rate speech codec)
opencore-amr:
opencore-amr: Library of OpenCORE Framework implementation of 
opencore-amr: Adaptive Multi Rate Narrowband and Wideband speech codec.
opencore-amr:
EOF

# strip symbols
find usr/lib | xargs file | grep "shared object" | grep ELF |\
	cut -f 1 -d : | xargs -r strip --strip-unneeded 
	
find usr/lib | xargs file | grep "current ar archive" |\
	cut -f 1 -d : | xargs -r strip -g 

# copy build script
cp $CWD/build-opencore-amr.sh  usr/src/$pkgname

fakeroot /sbin/makepkg -l y -c n $CWD/$package.txz

cd $CWD
echo "$PKG_SRC" >$package.src
md5sum $package.txz > $package.md5
# depfinder $package.txz
:>$package.dep
